Beta watchOS 4.3.1 ostrzega użytkowników starszych aplikacji, że przestaną one działać w kolejnych wersjach tego systemu operacyjnego.

Big 39d7f5ff d989 466e b8cc ce7d9a3a0f89

Komunikat przypomina ten, który pojawiał się w iOS 10, informując użytkowników o tym, że 32-bitowe programy przestaną działać w iOS 11. Ten komunikat jest w pewnym stopniu podobny. Chodzi bowiem o aplikacje stworzone za pomocą narzędzi programistycznych dla watchOS 1.0. Aby programy te działy w watchOS 5 ich deweloperzy muszą je uaktualnić do nowszych wersji. Od 1 kwietnia deweloperzy tworzący aplikacje dla zegarka Apple Watch muszą korzystać z narzędzi stworzonych dla watchOS 2 lub nowszych wersji tego systemu.

Zapowiadane zmiany we wsparciu programów rodzą też pytania o to, jak długo Apple utrzyma wsparcie dla pierwszej wersji zegarka Apple Watch i czy będzie można na nim zainstalować kolejne wersje systemu watchOS.

Źródło: 9To5Mac